﻿using System;
using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Wpf;

namespace _8749
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            WorldStreetsAndImageryOverlay worldOverlay = new WorldStreetsAndImageryOverlay();
            map.Overlays.Add(worldOverlay);

            LayerOverlay layerOverlay = new LayerOverlay();
            WmsRasterLayer wmsLayer = new WmsRasterLayer(new Uri("http://howdoiwms.thinkgeo.com/WmsServer.aspx"));
            wmsLayer.ActiveLayerNames.Add("COUNTRIES02");
            wmsLayer.ActiveStyleNames.Add("Simple");
            wmsLayer.Crs = "EPSG:4326";
            wmsLayer.OutputFormat = "image/png";
            layerOverlay.Layers.Add(wmsLayer);
            map.Overlays.Add(layerOverlay);

            wmsLayer.Open();
            map.CurrentExtent = wmsLayer.GetBoundingBox();
            map.Refresh();
        }

        private void btmRefresh_Click(object sender, RoutedEventArgs e)
        {
            map.Refresh();
        }
    }
}
